MacDrawProParserInternal Namespace Reference

Internal: the structures of a MacDrawProParser. More...

## Classes
struct | Layer
struct | Library
struct | Shape
struct | State
| Internal: the state of a MacDrawProParser. More...
class | SubDocument
| Internal: the subdocument of a MacDrawProParser. More...

## Functions
std::ostream & | operator<< (std::ostream &o, Shape const &shape)

## Variables
constexpr int | MAX_RECORD_NESTING = 1 << 10
| the maximum recursion depth when reading or sending nested groups

## Detailed Description

Internal: the structures of a MacDrawProParser.

## Function Documentation

## ◆ operator<<()

std::ostream & MacDrawProParserInternal::operator<< | ( | std::ostream & | o,
|  | Shape const & | shape )

## Variable Documentation

## ◆ MAX_RECORD_NESTING

int MacDrawProParserInternal::MAX_RECORD_NESTING = 1 << 10
| constexpr

the maximum recursion depth when reading or sending nested groups

Referenced by MacDrawProParser::readObject(), and MacDrawProParser::send().